Множественные уязвимости в RT::Extension::MobileUI

Дата публикации:
14.06.2013
Дата изменения:
14.06.2013
Всего просмотров:
845
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
2
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
(AV:N/AC:L/Au:N/C:P/I:N/A:N/E:U/RL:O/RC:C) = Base:5/Temporal:3.7
CVE ID:
CVE-2013-3736
CVE-2013-3737
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Раскрытие важных данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
RT Extension::MobileUI Extension 1.x
Уязвимые версии: RT::Extension::MobileUI версии до 1.04

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение.

1. Уязвимость существует из-за того, что приложение обрабатывает небезопасным образом повторное использование сессий. Удаленный пользователь может, к примеру, раскрыть предпочтения пользователя.

Примечание: Для успешной эксплуатации уязвимости необходимо, чтобы использовалось файловое хранилище сеанса Apache::Session::File.

2. Уязвимость существует из-за недостаточной обработки входных данных во вложенных файлах. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: http://search.cpan.org/~falcone/RT-Extension-MobileUI-1.02/lib/RT/Extension/MobileUI.pm

Решение: Установите последнюю версию 1.04 с сайта производителя.

Ссылки: http://lists.bestpractical.com/pipermail/rt-announce/2013-June/000230.html

или введите имя

CAPTCHA